<template>
  <Collapse v-model="value1" class="property">
    <Panel name="1">
      列表设置
      <div slot="content">
        <Form :model="config" :label-width="80">
          <FormItem label="每行个数">
            <Input v-model="config.num" type="number"></Input>
          </FormItem>
        </Form>
      </div>
    </Panel>
  </Collapse>
</template>

<script>
export default {
  watch: {
    // configList: {
    //   handler(newVal) {
    //     this.itemSetting.properties = newVal
    //   },
    //   deep: true,
    // },
  },
  props: {
    itemSetting: {
      type: Array,
      default: () => [],
    },
  },
  data() {
    return {
      value1: '1',
			config: {
        num: 1,
      }
    }
  },
  created() {
    let prop = this.itemSetting.properties[0]
		if (prop) {
			this.config = prop
		}
  },
}
</script>
<style scoped lang="scss">
</style>
